@javascript
Feature: Delete an attribute
  In order to remove an attribute
  As a product manager
  I need to delete a text attribute

  @jira https://akeneo.atlassian.net/browse/PIM-5347
  Scenario: Successfully delete and recreate a text attribute used in a product and filter on it
    Given the "footwear" catalog configuration
    And I am logged in as "Julia"
    And I am on the products grid
    And I create a product
    And I fill in the following information in the popin:
      | SKU    | caterpillar_1 |
      | Family | Boots         |
    And I press the "Save" button in the popin
    And I wait to be on the "caterpillar_1" product page
    And I visit the "Product information" group
    And I change the "Name" to "My caterpillar"
    And I save the product
    When I am on the products grid
    Then the grid should contain 1 elements
    And I should see products caterpillar_1
    And I should be able to use the following filters:
      | filter | operator | value          | result        |
      | name   | contains | My caterpillar | caterpillar_1 |
    When I am on the attributes page
    And I click on the "delete" action of the row which contains "Name"
    And I confirm the deletion
    And the following attribute:
      | code | label-en_US | type             | useable_as_grid_filter | localizable | group |
      | name | name        | pim_catalog_text | 1                      | 1           | other |
    And I am on the products grid
    Then the grid should contain 1 elements
    And I should see products caterpillar_1
    And I should be able to use the following filters:
      | filter | operator | value          | result |
      | name   | contains | My caterpillar |        |

  @jira https://akeneo.atlassian.net/browse/PIM-7199
  Scenario: An identifier attribute cannot be deleted
    Given the "default" catalog configuration
    And I am logged in as "Julia"
    When I am on the attributes page
    And I click on the "delete" action of the row which contains "SKU"
    And I confirm the deletion
    Then I should see the text "Identifier attribute can not be removed"
    And there should be a "SKU" attribute
